import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatStackDetailsResourcesComponent } from './heat-stack-details-resources.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { UiModule } from '@shared/ui/ui.module';

describe('HeatStackDetailsResourcesComponent', () => {
  let component: HeatStackDetailsResourcesComponent;
  let fixture: ComponentFixture<HeatStackDetailsResourcesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ HeatStackDetailsResourcesComponent ],
      imports: [RouterTestingModule, HttpClientTestingModule, UiModule],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatStackDetailsResourcesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
